﻿@model RaamatukoguAPP11.Eksemplar

@{
    ViewBag.Title = "Kustuta";
}

<h2>Raamatu kustutamine raamatukogust</h2>

<h3>Kas oled kindel, et seda raamatut sul enam ei ole?</h3>
<div>
    <h4>Minu raamat</h4>
    <hr />
    <dl class="dl-horizontal">
        
        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Isbn)
        </dt>
        
        <dd>
            @Html.DisplayFor(model => model.Raamat.Isbn)
        </dd>
        
        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Tiitel)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Tiitel)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Autor)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Autor)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Aasta)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Raamat.Aasta)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Raamat.Pilt)
        </dt>

        <dd>
            @*@Html.DisplayFor(model => model.Raamat.Pilt)*@
            <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = Model.Raamat.Kood } )' height="300" />
        </dd>

        <dt>
            Asukoha kommentaar
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AsukohaKommentaar)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Kapp)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Kapp)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Riiul)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Riiul)
        </dd>

        @*<dt>
            @Html.DisplayNameFor(model => model.Saadaval)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Saadaval)
        </dd>*@

        @*<dt>
            @Html.DisplayNameFor(model => model.Kasutaja.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Kasutaja.Email)
        </dd>*@

        

        @*<dt>
            @Html.DisplayNameFor(model => model.Kasutaja1.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Kasutaja1.Email)
        </dd>*@

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Kustuta" class="btn btn-default" /> |
            @Html.ActionLink("Minu raamatute nimekiri", "Index")
        </div>
    }
</div>
